> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Code

> Retrieves your school's custom code.



## OpenAPI

````yaml get /custom_code
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /custom_code:
    get:
      tags:
        - Custom code
      summary: Get Custom Code
      description: Retrieves your school's custom code.
      responses:
        '200':
          description: School custom code.
          content:
            application/json:
              schema:
                type: object
                required:
                  - custom_code_head
                  - custom_code_body
                properties:
                  custom_code_head:
                    type: string
                    nullable: true
                    description: Code inside the <head> tag.
                  custom_code_body:
                    type: string
                    nullable: true
                    description: Code immediately before the closing </body> tag.
              example:
                custom_code_head: <!-- Head snippet -->
                custom_code_body: <!-- Body snippet -->
        '401':
          description: Missing or invalid API credentials, or unavailable school account.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
              example:
                error: Access denied
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.